### Function

# Gimp value_set_static_uint8_array

#### Declaration [src]

    void
    gimp_value_set_static_uint8_array (
      GValue* value,
      const guint8* data,
      gsize length
    )

#### Description [src]

Sets the contents of `value` to `data`, without copying the data.

#### Parameters

`value` | `GValue`
| A valid value of type `GIMP_TYPE_UINT8_ARRAY`.
| The data is owned by the caller of the function.
`data` | An array of `guint8`
| A #guint8 array.
| The length of the array is specified in the `length` argument.
| The data is owned by the caller of the function.
`length` | `gsize`
| The number of elements in `data`.